Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.reports.charts
Class BambooReportLineChart

    java.lang.Object
      com.atlassian.bamboo.charts.AbstractBambooChart
          com.atlassian.bamboo.reports.charts.BambooReportLineChart

All Implemented Interfaces:
  ChartBuilder

Direct Known Subclasses:
  AuthorBrokenBuildsLineChart, AuthorFailuresLineChart, AuthorFixedBuildsLineChart, AuthorNumberBuildsLineChart, AuthorSuccessRatioLineChart, BuildSummaryAverageDurationLineChart, BuildSummaryAverageTimeToFixLineChart, BuildSummaryCoverageLineChart, BuildSummaryFailuresLineChart, BuildSummaryLinesOfCodeLineChart, BuildSummaryNumberBuildsLineChart, BuildSummaryNumberTestsLineChart, BuildSummarySuccessRatioLineChart

    public class BambooReportLineChart

extends AbstractBambooChart

Field Summary

Fields inherited from class com.atlassian.bamboo.charts.AbstractBambooChart
`chartTitle, contextPath, height, shortUrlUsed, width, xAxisLabel, yAxisLabel`

Constructor Summary
`BambooReportLineChart()`
`BambooReportLineChart(int height, int width, String chartTitle, String xAxisLabel, String yAxisLabel, XYDataset dataSet)`

Method Summary
`Map` | `generateChartParams()`
`String` | `generateLabel(XYDataset xyDataset, int i)`
`String` | `generateToolTip(XYDataset xyDataset, int series, int item)`
`BuildManager` | `getBuildManager()`
`XYDataset` | `getDataSet()`
`void` | `setBuildManager(BuildManager buildManager)`
`void` | `setDataSet(XYDataset dataSet)`

Methods inherited from class com.atlassian.bamboo.charts.AbstractBambooChart
`generateChartImage, generateChartImage, generateRandomMapName, getChartTitle, getContextPath, getHeight, getWidth, getxAxisLabel, getyAxisLabel, isShortUrlUsed, setChartTitle, setContextPath, setHeight, setShortUrlUsed, setWidth, setxAxisLabel, setyAxisLabel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BambooReportLineChart

    public BambooReportLineChart()

### BambooReportLineChart

    public BambooReportLineChart(int height,
                                 int width,
                                 String chartTitle,
                                 String xAxisLabel,
                                 String yAxisLabel,
                                 XYDataset dataSet)

Method Detail

### generateChartParams

    public Map generateChartParams()

### generateToolTip

    public String generateToolTip(XYDataset xyDataset,
                                  int series,
                                  int item)

### getDataSet

    public XYDataset getDataSet()

### setDataSet

    public void setDataSet(XYDataset dataSet)

### getBuildManager

    public BuildManager getBuildManager()

### setBuildManager

    public void setBuildManager(BuildManager buildManager)

### generateLabel

    public String generateLabel(XYDataset xyDataset,
                                int i)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.